Package org.eclipse.gef.geometry.convert.swt

# Class SWT2AWT

java.lang.Object
org.eclipse.gef.geometry.convert.swt.SWT2AWT

public class SWT2AWT extends Object
A utility class to convert geometric objects from SWT to AWT, i.e. Java2D.

## Method Summary

Modifier and Type
Method
Description
`static PathIterator`
`toAWTPathIterator(PathData pathData, int windingRule)`
Converts an SWT `PathData` into an equivalent AWT `PathIterator`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toAWTPathIterator

public static PathIterator toAWTPathIterator(PathData pathData, int windingRule)
Converts an SWT `PathData` into an equivalent AWT `PathIterator`.

Parameters:
  `pathData` - the `PathData` to convert.
  `windingRule` - the winding rule to use when constructing the `PathIterator`, i.e. one of `SWT.FILL_WINDING` or `SWT.FILL_EVEN_ODD`.
Returns:
  a new `PathIterator` representing the same path